<?php
/**
 * Debit API/light Demo
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: tkugler@micropayment.de
 * supported 2009 by micropayment
 */
	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCP__DEBITSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');  
	
	session_name('debitlight');
	session_start();
	
	//get amount, test product defined in config.php
	$productsAmount = $aProductList['P0001']['amount'];
	
	try {
		$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);
		
		$sessionData = $dispatcher -> sessionCreate(MCP__ACCESSKEY, MCP__TESTMODE, $_SESSION["customerId"], null, PROJECT_NAME, '', '', '', $productsAmount, PROJECT_CURRENCY, PROJECT_TITLE, PAY_TEXT, getenv("REMOTE_ADDR"), null);
		$approveData = $dispatcher -> sessionApprove(MCP__ACCESSKEY, MCP__TESTMODE, $sessionData['sessionId']);
	}
	catch (Exception $e) {
		//print form error
		$errorMsg = $e->getMessage();
		$errorClass= "statusError";
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>Debit API/light Demo</title>
	<link href="screen.css" rel="stylesheet">
</head>

<body>

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><img src="./img/logo.debit.gif"></td>
				<td align="left">Debit API/light Demo</td>
			</tr>
		</table>
	</div>
	
	<div align="center">
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
						
						<?php 
						if (!isset($errorMsg)) {
							print "<b>DEBIT-Einkauf erfolgreich!</b>";
							print "<br /><br />";
							print "Session-Id: ". $sessionData['sessionId']."<br />";
							print "Session-Status: ". $sessionData['status'];
							print "<br /><br />";
							print "Approve-Status: ". $approveData['status']."<br />";
							print "Timestamp: ". $approveData['expire'];
							print "<br /><br /><br />
								<b>Der Bezahlprozess wurde erfolgreich beendet - werden Sie aktiv.</b>
								<br /><br />
								Hier haben Sie verschiedene M&ouml;glichkeiten:<br /><br />
								<ul>
									<li> Umleitung auf ein Download-Portal</li>
									<br />
									<li>direkten Datei-Download anbieten</li>
										<ul>
											<li>Download Musik im MP3-Format</li>
											<li>Download Manuals, Literatur im PDF-Format</li>
											<li>Download von Bildern/Images</li>
											<li>Download von komprimierten Dateien und Archiven (z.B. zip)</li>
											<li>...</li>
										</ul>
									<br />
									<li>Freischaltung von Mitgliederbereichen (Online-Games, Info-Datenbanken, usw.)</li>
									<br />
									<li>Konto-Aufladung fr diverse Dienste (z.B. SMS, Ringtones)</li>
				
									<br />
									</ul>
									<br />
									Sowie eine Vielzahl weiterer Mglichkeiten.
									";								
						}
						//Error
						else {
							print "<b>DEBIT-Einkauf nicht erfolgreich!</b>";
						}
						
						?>

						<br /><br />
						<div id="<?php if (isset($errorClass)) print $errorClass;?>">
							
							<?php 
								if (isset($errorMsg)) {
									print $errorMsg;
								}
							?>
								
						</div>
							
						<br />
						<br />
						<br />
						<br />
						<br />
						<a href="index.php">DEMO erneut ausf&uuml;hren</a>
												
					</div>
					
				</td>
			</tr>
		</table>
		
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		Debit API light Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

	
	<?php 
	//delete actual session
		session_destroy(); 
		session_unset();
	?>
</body>
