<?php
/**
 * Debit API/light Demo
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: tkugler@micropayment.de
 * supported 2009 by micropayment
 */
	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCP__DEBITSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');  
	
	if(getPostVar('debitSubmit')) {

		session_name('debitlight');
		session_start();
		
		//save temp form data in session in case of error
		foreach ($_POST as $post => $val) {
			$_SESSION[$post] = $val;
		}
		
		try {
			$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);
			
			$customerData = $dispatcher -> customerCreate(MCP__ACCESSKEY, MCP__TESTMODE, null, null);
			$_SESSION['customerId'] = $customerData['customerId'];
			$addressData = $dispatcher -> addressSet(MCP__ACCESSKEY, MCP__TESTMODE, $_SESSION['customerId'], getPostVar('firstName'), getPostVar('surName'), getPostVar('street'), getPostVar('zip'), getPostVar('city'), getPostVar('country2'));
			$bankaccountData = $dispatcher -> bankaccountSet(MCP__ACCESSKEY, MCP__TESTMODE, $_SESSION['customerId'], getPostVar('country3'), getPostVar('bankCode'), getPostVar('accountNumber'), getPostVar('accountHolder'));
			
			//data saved, goto approve
			header("Location: approve.php");
			exit(0);
		}
		catch (Exception $e) {
			//print form error
			$errorMsg = $e->getMessage();
			$errorClass= "statusError";
		}
	
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>Debit API/light Demo</title>
	<link href="screen.css" rel="stylesheet">
</head>

<body>

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><img src="./img/logo.debit.gif"></td>
				<td align="left">Debit API/light Demo</td>
			</tr>
		</table>
	</div>
	
	<div align="center">
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
						<form action="<?php print $_SERVER['PHP_SELF']?>" method="POST">
							
							<table>
								<tr>
									<td><b>Personen-Daten:</b></td>
									<td></td>
								</tr>
								<tr>
									<td>Vorname: *</td>
									<td><input type="text" name="firstName" id="firstName" value="<?php print $_SESSION['firstName']?>"></td>
								</tr>
								<tr>
									<td>Nachname: *</td>
									<td><input type="text" name="surName" id="surName" value="<?php print $_SESSION['surName']?>"></td>
								</tr>
								<tr>
									<td>Strasse: *</td>
									<td><input type="text" name="street" id="street" value="<?php print $_SESSION['street']?>"></td>
								</tr>
									<tr>
									<td>PLZ: *</td>
									<td><input type="text" name="zip" id="zip" value="<?php print $_SESSION['zip']?>"></td>
								</tr>
								<tr>
									<td>Ort: *</td>
									<td><input type="text" name="city" id="city" value="<?php print $_SESSION['city']?>"></td>
								</tr>
								<tr>
									<td>Land: *</td>
									<td>
										<select name="country2" id="country2">
											<option value="DE">Deutschland</option>
											<option value="CH">Schweiz</option>
											<option value="AT">&Ouml;sterreich</option>
										</select>
									
									</td>
								</tr>
								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td><b>Bank-Daten:</b></td>
									<td><input type="hidden" name="country3" id="country3" value="DE"></td>
								</tr>
								<tr>
									<td>Bankleitzahl: *</td>
									<td><input type="text" name="bankCode" id="bankCode" value="<?php print $_SESSION['bankCode']?>"></td>
								</tr>
								<tr>
									<td>Kontonummer: *</td>
									<td><input type="text" name="accountNumber" id="accountNumber" value="<?php print $_SESSION['accountNumber']?>"></td>
								</tr>
								<tr>
									<td>Kontoinhaber: *</td>
									<td><input type="text" name="accountHolder" id="accountHolder" value="<?php print $_SESSION['accountHolder']?>"></td>
								</tr>

								
							</table>
							<br /><br />
							 * <em>Pflichfeld</em>
							<br />
							<br />
							<input type="submit" id="debitSubmit" name="debitSubmit" value="Daten speichern">
							<br /><br />
							<div id="<?php if (isset($errorClass)) print $errorClass;?>">
							
								<?php 
									if (isset($errorMsg)) {
										print $errorMsg;
									}
								?>
								
							</div>
						</form>
						
					</div>
					
				</td>
			</tr>
		</table>
		
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		Debit API light Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

</body>
